<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddLbmHubGroupReq StructType
 * @subpackage Structs
 */
class AddLbmHubGroupReq extends APIRequest
{
    /**
     * The lbmHubGroup
     * @var XLbmHubGroup
     */
    public $lbmHubGroup;
    /**
     * Constructor method for AddLbmHubGroupReq
     * @uses AddLbmHubGroupReq::setLbmHubGroup()
     * @param XLbmHubGroup $lbmHubGroup
     */
    public function __construct(XLbmHubGroup $lbmHubGroup = null)
    {
        $this
            ->setLbmHubGroup($lbmHubGroup);
    }
    /**
     * Get lbmHubGroup value
     * @return XLbmHubGroup|null
     */
    public function getLbmHubGroup()
    {
        return $this->lbmHubGroup;
    }
    /**
     * Set lbmHubGroup value
     * @param XLbmHubGroup $lbmHubGroup
     * @return AddLbmHubGroupReq
     */
    public function setLbmHubGroup(XLbmHubGroup $lbmHubGroup = null)
    {
        $this->lbmHubGroup = $lbmHubGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddLbmHubGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
